"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DOMHighlighter = void 0;
const Highlight_1 = require("./Highlight");
class DOMHighlighter {
    /**
     * @param {IHighlightSettings} [initialSettings={}]
     */
    constructor(initialSettings = {}) {
        this.initialSettings = Object.assign({}, {
            strokeColor: '#ff0000',
            strokeSize: 2,
            hideAfter: 0
        }, initialSettings);
    }
    /**
     * @param {Element} $element
     * @param {Partial<IHighlightSettings>} [settings={}]
     * @return {Highlight}
     */
    highlight($element, settings = {}) {
        const mergedSettings = Object.assign({}, this.initialSettings, settings);
        const hg = new Highlight_1.Highlight($element, mergedSettings);
        hg.add();
        return hg;
    }
}
exports.DOMHighlighter = DOMHighlighter;
